CREATE TABLE gtg_ts_wrkflwpoapproval (
    ETL_SEQUENCE_ID             NUMBER(19, 0) ,
    ETL_VERSION_NUMBER          NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER       NUMBER(18, 0) ,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    ACQUIRED_BY                 VARCHAR2(1600),
    ACTION_CODE                 VARCHAR2(100) ,
    ACTION_DATE                 DATE          ,
    APPLICATIONDOMAIN           VARCHAR2(256) ,
    ASSIGNEE                    VARCHAR2(1600),
    ASSIGNEE_DOMAIN             VARCHAR2(256) ,
    ASSIGNEE_TASK_ID            VARCHAR2(256) ,
    ASSIGNEE_TYPE               VARCHAR2(80)  ,
    ASSIGNMENT_DATE             DATE          ,
    CATEGORY_CODE               VARCHAR2(800) ,
    FNDBPMTASKASSIGNEE_CB       VARCHAR2(256) ,
    FNDBPMTASKASSIGNEE_CD       TIMESTAMP(6)  ,
    FNDBPMTASKASSIGNEE_LUB      VARCHAR2(256) ,
    FNDBPMTASKASSIGNEE_LUD      TIMESTAMP(6)  ,
    FNDBPMTASKB_CB              VARCHAR2(256) ,
    FNDBPMTASKB_CD              TIMESTAMP(6)  ,
    FNDBPMTASKB_LUB             VARCHAR2(256) ,
    FNDBPMTASKB_LUD             TIMESTAMP(6)  ,
    FNDBPMTASKHISTORYB_CB       VARCHAR2(256) ,
    FNDBPMTASKHISTORYB_CD       TIMESTAMP(6)  ,
    FNDBPMTASKHISTORYB_LUB      VARCHAR2(256) ,
    FNDBPMTASKHISTORYB_LUD      TIMESTAMP(6)  ,
    FNDBPMTASKTL_CB             VARCHAR2(256) ,
    FNDBPMTASKTL_CD             TIMESTAMP(6)  ,
    FNDBPMTASKTL_LUB            VARCHAR2(256) ,
    FNDBPMTASKTL_LUD            TIMESTAMP(6)  ,
    HISTORY_B_DOMAIN            VARCHAR2(256) ,
    HISTORY_B_TASK_ID           VARCHAR2(256) ,
    IDENTIFICATIONKEY           VARCHAR2(320) ,
    IDENTIFICATONKEY            VARCHAR2(400) ,
    LANGUAGECOLUMN              VARCHAR2(16)  ,
    OBJECT_ID                   NUMBER(18, 0) ,
    OBJECT_SUB_TYPE_CODE        VARCHAR2(100) ,
    OBJECT_TYPE_CODE            VARCHAR2(100) ,
    OUTCOME_CODE                VARCHAR2(400) ,
    PARTICIPANT_CODE            VARCHAR2(800) ,
    PERFORMER_ID                NUMBER(18, 0) ,
    POACTIONHISTORY_CB          VARCHAR2(256) ,
    POACTIONHISTORY_CD          TIMESTAMP(6)  ,
    POACTIONHISTORY_LUB         VARCHAR2(256) ,
    POACTIONHISTORY_LUD         TIMESTAMP(6)  ,
    PO_VERSION_ID               NUMBER(18, 0) ,
    ROLE_CODE                   VARCHAR2(120) ,
    SEQUENCE_NUM                NUMBER        ,
    STAGE_CODE                  VARCHAR2(800) ,
    STATUS_CODE                 VARCHAR2(800) ,
    SUPPLIER_ACCESSIBLE_FLAG    VARCHAR2(4)   ,
    TASKASSIGNEEVERSION         NUMBER        ,
    TASKHISVERSION              NUMBER        ,
    TASKID                      VARCHAR2(256) ,
    TASK_DEFINITION_NAME        VARCHAR2(800) ,
    TASK_NUMBER                 NUMBER        ,
    TASK_TITLE                  VARCHAR2(4000),
    TL_DOMAIN                   VARCHAR2(256) ,
    TL_TASK_ID                  VARCHAR2(256) ,
    WORKFLOWPATTERN_CODE        VARCHAR2(4000),
    ETL_SEQUENCE_ID             NUMBER(19, 0) ,
    ETL_VERSION_NUMBER          NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER       NUMBER(18, 0) ,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    ACQUIRED_BY                 VARCHAR2(1600),
    ACTION_CODE                 VARCHAR2(100) ,
    ACTION_DATE                 DATE          ,
    APPLICATIONDOMAIN           VARCHAR2(256) ,
    ASSIGNEE                    VARCHAR2(1600),
    ASSIGNEE_DOMAIN             VARCHAR2(256) ,
    ASSIGNEE_TASK_ID            VARCHAR2(256) ,
    ASSIGNEE_TYPE               VARCHAR2(80)  ,
    ASSIGNMENT_DATE             DATE          ,
    CATEGORY_CODE               VARCHAR2(800) ,
    FNDBPMTASKASSIGNEE_CB       VARCHAR2(256) ,
    FNDBPMTASKASSIGNEE_CD       TIMESTAMP(6)  ,
    FNDBPMTASKASSIGNEE_LUB      VARCHAR2(256) ,
    FNDBPMTASKASSIGNEE_LUD      TIMESTAMP(6)  ,
    FNDBPMTASKB_CB              VARCHAR2(256) ,
    FNDBPMTASKB_CD              TIMESTAMP(6)  ,
    FNDBPMTASKB_LUB             VARCHAR2(256) ,
    FNDBPMTASKB_LUD             TIMESTAMP(6)  ,
    FNDBPMTASKHISTORYB_CB       VARCHAR2(256) ,
    FNDBPMTASKHISTORYB_CD       TIMESTAMP(6)  ,
    FNDBPMTASKHISTORYB_LUB      VARCHAR2(256) ,
    FNDBPMTASKHISTORYB_LUD      TIMESTAMP(6)  ,
    FNDBPMTASKTL_CB             VARCHAR2(256) ,
    FNDBPMTASKTL_CD             TIMESTAMP(6)  ,
    FNDBPMTASKTL_LUB            VARCHAR2(256) ,
    FNDBPMTASKTL_LUD            TIMESTAMP(6)  ,
    HISTORY_B_DOMAIN            VARCHAR2(256) ,
    HISTORY_B_TASK_ID           VARCHAR2(256) ,
    IDENTIFICATIONKEY           VARCHAR2(320) ,
    IDENTIFICATONKEY            VARCHAR2(400) ,
    LANGUAGECOLUMN              VARCHAR2(16)  ,
    LNG                         VARCHAR2(16)  ,
    OBJECT_ID                   NUMBER(18, 0) ,
    OBJECT_SUB_TYPE_CODE        VARCHAR2(100) ,
    OBJECT_TYPE_CODE            VARCHAR2(100) ,
    OUTCOME_CODE                VARCHAR2(400) ,
    PARTICIPANT_CODE            VARCHAR2(800) ,
    PERFORMER_ID                NUMBER(18, 0) ,
    POACTIONHISTORY_CB          VARCHAR2(256) ,
    POACTIONHISTORY_CD          TIMESTAMP(6)  ,
    POACTIONHISTORY_LUB         VARCHAR2(256) ,
    POACTIONHISTORY_LUD         TIMESTAMP(6)  ,
    PO_VERSION_ID               NUMBER(18, 0) ,
    ROLE_CODE                   VARCHAR2(120) ,
    SEQUENCE_NUM                NUMBER        ,
    STAGE_CODE                  VARCHAR2(800) ,
    STATUS_CODE                 VARCHAR2(800) ,
    SUPPLIER_ACCESSIBLE_FLAG    VARCHAR2(4)   ,
    TASKASSIGNEEVERSION         NUMBER        ,
    TASKHISVERSION              NUMBER        ,
    TASKID                      VARCHAR2(256) ,
    TASK_DEFINITION_NAME        VARCHAR2(800) ,
    TASK_NUMBER                 NUMBER        ,
    TASK_TITLE                  VARCHAR2(4000),
    TL_DOMAIN                   VARCHAR2(256) ,
    TL_TASK_ID                  VARCHAR2(256) ,
    WORKFLOWPATTERN_CODE        VARCHAR2(4000),
    CONSTRAINT pk_gtg_ts_wrkflwpoapproval PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
